package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.MyOrderListModel

interface MyOrderInteractor {
    interface View {
        fun responseMyOrderSucceed(myOrderList: ArrayList<MyOrderListModel>)
        fun responseMyOrderFail(error: VolleyError)
        fun onClickConfirmOrder(orderId: String)
        fun onDeletedOrderId(orderId: String)
        fun onLoadMore()
    }

    interface Presenter {
        fun onGetMyOrderData(offset: Int)
    }

}